{ config, lib, pkgs, ... }:

with lib;

let
  cfg = config.machine;
in {
  environment.systemPackages = flatten (attrVals cfg.pkgs pkgs.pkgsets);

  services.emacs = mkIf (elem "emacs" cfg.pkgs) {
    defaultEditor = true;
    enable = true;
    install = true;
    package = pkgs.pkgsets.emacs;
  };
}
